﻿$packageName = 'teamviewer'
$installerType = 'exe'
$silentArgs = '/S'
$validExitCodes = @(0)
$url  = 'https://download.teamviewer.com/download/version_7x/TeamViewer_Setup.exe'
$checksum = 'db3bc05afc0874c4851efb0a6f763742f4ea2dd37ce6ed905be41da52cbfd016'
$checksumType = 'sha256'

Write-Verbose "Starting AutoHotKey for assistance in silent and/or automated install"
$scriptPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$ahkFile = Join-Path $scriptPath "chocolateyInstall.ahk"
$ahkExe = 'AutoHotKey'
Start-Process $ahkExe $ahkFile

Install-ChocolateyPackage -PackageName "$packageName" `
                          -FileType "$installerType" `
                          -SilentArgs "$silentArgs" `
                          -Url "$url" `
                          -ValidExitCodes $validExitCodes `
                          -Checksum "$checksum" `
                          -ChecksumType "$checksumType"